Subject: Re: [secdir] Secdir review of draft-ietf-ccamp-gmpls-g-694-lambda-labels-10

From: Dan Li <[email-masked]>
Date: Fri, 31 Dec 2010 15:40:06 +0800

Hi Magnus,

Thanks for your review!

Please see below.

Thanks,

Dan

----- Original Message ----- 
From: "Magnus Nyström" <[email-masked]>
To: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, December 31, 2010 10:02 AM
Subject: Secdir review of draft-ietf-ccamp-gmpls-g-694-lambda-labels-10

>I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the
> IESG.  These comments were written primarily for the benefit of the
> security area directors. Document editors and WG chairs should treat
> these comments just like any other last call comments.
> 
> This document defines a new lambda (wavelength) label format for use
> in GMPLS signaling and routing.
> 
> I have no particular security concerns with this document.
> 
> A few editorial comments:
> 
> - General: The document seems to be in need of a proof-read; there are
> several examples where the wordings make the intent behind a sentence
> unclear - I cite some of them below.
> 
> - Section 2: "The Label_Set object is made by only one sub channel
> that must be same as the Upstream_Label object": Suggest changing to
> something like (if I did not misunderstand the intent with this
> sentence):  "The Label_set object shall contain a single sub-channel
> that must be the same as the Upstream_Label object"

[dan] Ok. You're right! I can use your proposed text.

> - Section 2, last paragraph is unclear and should preferably be
> re-written for clarity.
> - Section 3.1, third paragraph, unclear

[dan] You know English is not my native language. Any proposed text?

> - Sectoin 3.1, why state that n is a two's complement integer? Seems
> simpler to state it is just an integer? (it does make sense to state
> it in 3.2, however)
> 
[dan] The "n" is a signed integer. Here just want to make it more clear, we are using two's complement integer. In section 3.2 and 3.3, this statement is repeated.

> -- Magnus